section.faculties_section {
    margin: 0 4rem;
    margin-bottom: 4rem;
}

section.faculties_section .faculties_container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: auto;
    grid-gap: 3rem;
    justify-content: center;
}

section.faculties_section .faculties_container .faculties {
    padding: 1.5rem 1rem;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

section.faculties_section .faculties_container .faculties img {
    width: 160px;
    height: 160px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    text-align: center;
}

section.faculties_section .faculties_container .faculties .name {
    font-family: 'Poppins', sans-serif;
    text-align: center;
    font-size: 1rem;
    font-weight: 500;
    color: #000;
    margin-top: 0.5rem;
}

section.faculties_section .faculties_container .faculties .degree {
    font-size: 0.8rem;
    color: var(--orange);
}

section.faculties_section .faculties_container .faculties .btn_secondary {
    display: block;
    margin-top: 0.5rem;
}

@media(max-width: 1000px) {
    section.faculties_section {
        margin: 0 2rem;
    }

    section.faculties_section .faculties_container {
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 2rem;
    }

    section.faculties_section .faculties_container .faculties img {
        width: 120px;
        height: 120px;
    }

    section.faculties_section .faculties_container .faculties .name {
        font-size: 0.8rem;
    }

    section.faculties_section .faculties_container .faculties .btn_secondary {
        font-size: 0.6rem;
        padding: 10px;
    }
}

@media(max-width: 720px) {
    section.faculties_section .faculties_container {
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 2rem;
    }

    section.faculties_section .faculties_container .faculties .name {
        font-size: 0.5rem;
    }
}

@media(max-width: 500px) {
    section.faculties_section .faculties_container {
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 2rem;
    }
}
